Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227672 - yum clean cache is broken
Summary: yum clean cache is broken
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 14:40 UTC by Tobias Oed
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 19:14:32 UTC


Attachments (Terms of Use)

Description Tobias Oed 2007-02-07 14:40:49 UTC
Description of problem:
Running 'yum clean cache' gives me a usage message as if I had a typo (like yum
clean foo)

Also, 'yum clean all' doesn't clean the cache either. So there is no way
to clean the cache except with rm -rf /var/cache/yum/*

Version-Release number of selected component (if applicable):
yum-3.0.3-1.fc6

How reproducible:
100%

Steps to Reproduce:
1. yum clean cache
  
Actual results:
tobsbox:~# yum clean cache
Loading "installonlyn" plugin
Error: invalid clean argument: 'cache'
usage: yum [options] < grouplist, localinstall, groupinfo, localupdate,
resolvedep, erase, deplist, groupremove, makecache, upgrade, provides, shell,
install, whatprovides, groupinstall, update, groupupdate, info, search,
check-update, list, remove, clean, grouperase >

options:
  -h, --help            show this help message and exit
  -t, --tolerant        be tolerant of errors
  -C                    run entirely from cache, don't update cache
  -c  [config file]     config file location
  -R  [minutes]         maximum command wait time
  -d  [debug level]     debugging output level
  -e  [error level]     error output level
  -y                    answer yes for all questions
  --version             show Yum version and exit
  --installroot=[path]  set install root
  --enablerepo=[repo]   enable one or more repositories (wildcards allowed)
  --disablerepo=[repo]  disable one or more repositories (wildcards allowed)
  -x [package], --exclude=[package]
                        exclude package(s) by name or glob
  --obsoletes           enable obsoletes processing during updates
  --noplugins           disable Yum plugins
None

Expected results:
It cleans the cache ;P

Comment 1 Seth Vidal 2007-02-07 14:58:53 UTC
looks like the man page hasn't been updated.

run: yum clean dbcache metadata headers






Comment 2 Tobias Oed 2007-02-07 15:12:47 UTC
I see. But what about 'yum clean all' not clean the cache either?
Tobias


Comment 3 Seth Vidal 2007-02-07 15:14:57 UTC
I can't recreate yum clean all not purging the cache on yum 3.0.3.



Comment 4 Tobias Oed 2007-02-07 16:02:25 UTC
My mistake. I wrongly assumed yum clean all would clean everything including the
stuff of disabled repos.
Tobias




Note You need to log in before you can comment on or make changes to this bug.